--
-- Autor: Hewaaa
-- Date: 24.01.2013
-- publisher: www.ls2013.org
--

T5_Edition_25 = {};

function T5_Edition_25.prerequisitesPresent(specializations)
    return true; 
end;

function T5_Edition_25:load(xmlFile)
	self.T5_Edition_25 = false;	
end;

function T5_Edition_25:readStream(streamId, connection)
	
end;

function T5_Edition_25:writeStream(streamId, connection)	
	
end;

function T5_Edition_25:delete()
	
end;

function T5_Edition_25:mouseEvent(posX, posY, isDown, isUp, button)
end;

function T5_Edition_25:keyEvent(unicode, sym, modifier, isDown)
end;

function T5_Edition_25:update(dt)
	
	if self:getIsActiveForInput() then
		if InputBinding.isPressed(InputBinding.T5_Edition_25_1) then
			self:setAnimationTime(1, self.animationParts[1].currentPosition+(self.animationParts[1].offSet*(dt/10)));
		end;
		if InputBinding.isPressed(InputBinding.T5_Edition_25_2) then
			self:setAnimationTime(1, self.animationParts[1].currentPosition-(self.animationParts[1].offSet*(dt/10)));
		end;

		if InputBinding.isPressed(InputBinding.T5_Edition_25_3) then
			self:setAnimationTime(2, self.animationParts[2].currentPosition+(self.animationParts[2].offSet*(dt/10)));
		end;
		if InputBinding.isPressed(InputBinding.T5_Edition_25_4) then
			self:setAnimationTime(2, self.animationParts[2].currentPosition-(self.animationParts[2].offSet*(dt/10)));
		end;

		if InputBinding.isPressed(InputBinding.T5_Edition_25_5) then
			self:setAnimationTime(3, self.animationParts[3].currentPosition+(self.animationParts[3].offSet*(dt/10)));
		end;
		if InputBinding.isPressed(InputBinding.T5_Edition_25_6) then
			self:setAnimationTime(3, self.animationParts[3].currentPosition-(self.animationParts[3].offSet*(dt/10)));
		end;

		if InputBinding.isPressed(InputBinding.T5_Edition_25_7) then
			self:setAnimationTime(4, self.animationParts[4].currentPosition+(self.animationParts[4].offSet*(dt/10)));
		end;
		if InputBinding.isPressed(InputBinding.T5_Edition_25_8) then
			self:setAnimationTime(4, self.animationParts[4].currentPosition-(self.animationParts[4].offSet*(dt/10)));
		end;
		if InputBinding.hasEvent(InputBinding.T5_Edition_25) then
			self.T5_Edition_25 = not self.T5_Edition_25;
		end;
	end;

end;

function T5_Edition_25:updateTick(dt)
end;

function T5_Edition_25:draw()
	if not self.T5_Edition_25 then
		g_currentMission:addHelpButtonText(g_i18n:getText("T5_Edition_25"), InputBinding.T5_Edition_25);
	else
		renderText(0.78, 0.38, 0.02,  "Num 0: HUD Abschalten");
		renderText(0.78, 0.62, 0.02, 	  "Blinker Li.= KP_1");
    	renderText(0.78, 0.60, 0.02,     "Warnblinker = KP_2");
    	renderText(0.78, 0.58, 0.02,     "Blinker Re. = KP_3");
		renderText(0.78, 0.56, 0.02,     "RightDoor open = N");
		renderText(0.78, 0.54, 0.02,    "RightDoor close = J");
    	renderText(0.78, 0.52, 0.02,      "LeftDoor open = M");	
		renderText(0.78, 0.50, 0.02,     "LeftDoor close = K");
    	renderText(0.78, 0.48, 0.02,      "SideDoor open = V");	
		renderText(0.78, 0.46, 0.02,     "SideDoor close = B");
		renderText(0.78, 0.44, 0.02,      "RearDoor open = Y");
		renderText(0.78, 0.42, 0.02,     "RearDoor close = X");
		renderText(0.78, 0.40, 0.02,    "Groundlight = Pos 1");
	end;
end;

function T5_Edition_25:onLeave()
	self.T5_Edition_25 = false;	
end;